Create a new tag for the organization. This may include up to 20,000 tagged entities.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Write Tags under the Setup & Administration category when creating or editing an API token. Learn More.
curl --request POST \
--url https://api.samsara.com/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "California",
"addresses": [
"23502866574"
],
"assets": [
"23502866574"
],
"drivers": [
"23502866574"
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
"23502866574"
],
"parentTagId": "4815",
"sensors": [
"23502866574"
],
"vehicles": [
"23502866574"
]
}
'{
"data": {
"id": "342417",
"name": "California",
"parentTagId": "4815",
"addresses": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"assets": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"drivers": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"parentTag": {
"id": "23502866574",
"name": "US West Vehicles"
},
"sensors": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"vehicles": [
{
"id": "23502866574",
"name": "Driver Don"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Name of this tag.
1 - 191"California"
The addresses that belong to this tag.
The object ID.
The trailers, unpowered, and powered assets that belong to this tag.
The object ID.
The drivers that belong to this tag.
The object ID.
The external IDs for the given object.
Show child attributes
{
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}The machines that belong to this tag.
The object ID.
If this tag is part a hierarchical tag tree, this is the ID of the parent tag, otherwise this will be omitted.
"4815"
The sensors that belong to this tag.
The object ID.
The vehicles that belong to this tag.
The object ID.
Newly created tag object, including the new tag ID.
A single tag.
Show child attributes
curl --request POST \
--url https://api.samsara.com/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "California",
"addresses": [
"23502866574"
],
"assets": [
"23502866574"
],
"drivers": [
"23502866574"
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
"23502866574"
],
"parentTagId": "4815",
"sensors": [
"23502866574"
],
"vehicles": [
"23502866574"
]
}
'{
"data": {
"id": "342417",
"name": "California",
"parentTagId": "4815",
"addresses": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"assets": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"drivers": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"parentTag": {
"id": "23502866574",
"name": "US West Vehicles"
},
"sensors": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"vehicles": [
{
"id": "23502866574",
"name": "Driver Don"
}
]
}
}